summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pedro Mendes2010-05-13 01:00:36 +0200
committer Robby Workman2010-05-13 01:00:36 +0200
commit5f05fd38c74df7e7f6c523245f831a9cc96eda55 (patch)
treea1814a5ab16f411b55ae546a0aa82144794cb581
parent9559ff169b826f28862fa0226befb11758e5a1d5 (diff)
downloadslackbuilds-5f05fd38c74df7e7f6c523245f831a9cc96eda55.tar.gz
office/pstoedit: Added to 13.0 repository
-rw-r--r--office/pstoedit/README9
-rw-r--r--office/pstoedit/drvswf.cpp.patch10
-rw-r--r--office/pstoedit/pstoedit.SlackBuild90
-rw-r--r--office/pstoedit/pstoedit.info10
-rw-r--r--office/pstoedit/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/office/pstoedit/README b/office/pstoedit/README
new file mode 100644
index 0000000000..fe5f854345
--- /dev/null
+++ b/office/pstoedit/README
@@ -0,0 +1,9 @@
+pstoedit converts PostScript and PDF files to various vector graphic
+formats. The resulting files can be edited or imported into various
+drawing packages. Output formats include: AI, ASY, CGM, DXF, EMF, FIG,
+GMFA, GMFI, GSCHEM, HPGL, IDRAW, KIL, LATEX2E, LWO, MIF, MNA, MPOST,
+NOIXML, PCB, PCL, RIB, RPL, RTF, SK, SVG, SVM, SWF, TGIF, XAML, WMF and
+variants of these. Output is also possible to text in different formats
+and Java or TK code.
+
+libEMF, plotutils, and ming are optional dependencies.
diff --git a/office/pstoedit/drvswf.cpp.patch b/office/pstoedit/drvswf.cpp.patch
new file mode 100644
index 0000000000..a731874c41
--- /dev/null
+++ b/office/pstoedit/drvswf.cpp.patch
@@ -0,0 +1,10 @@
+--- src/drvswf.orig.cpp 2009-12-05 02:02:09.000000000 +0000
++++ src/drvswf.cpp 2009-12-05 02:02:19.000000000 +0000
+@@ -32,7 +32,6 @@
+ //static bool cubic = false;
+
+ #include "mingpp.h"
+-#include "ming_config.h"
+
+ #if defined(_WIN32)
+ extern "C" {
diff --git a/office/pstoedit/pstoedit.SlackBuild b/office/pstoedit/pstoedit.SlackBuild
new file mode 100644
index 0000000000..7bbbd433e3
--- /dev/null
+++ b/office/pstoedit/pstoedit.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for ming
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pstoedit
+VERSION=3.50
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+# Fix a superfulous include in drvswf.cpp which causes error
+patch -p0 < $CWD/drvswf.cpp.patch
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.install $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pstoedit/pstoedit.info b/office/pstoedit/pstoedit.info
new file mode 100644
index 0000000000..d00ccee4e6
--- /dev/null
+++ b/office/pstoedit/pstoedit.info
@@ -0,0 +1,10 @@
+PRGNAM="pstoedit"
+VERSION="3.50"
+HOMEPAGE="http://www.pstoedit.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/pstoedit/pstoedit-3.50.tar.gz?download"
+MD5SUM="97d649305ad90fab7a569154f17e0916"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"
diff --git a/office/pstoedit/slack-desc b/office/pstoedit/slack-desc
new file mode 100644
index 0000000000..d3ee4c908a
--- /dev/null
+++ b/office/pstoedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pstoedit: pstoedit (vector graphics converter for ps and pdf files)
+pstoedit:
+pstoedit: pstoedit converts PostScript and PDF files to various vector graphic
+pstoedit: formats. The resulting files can be edited or imported into various
+pstoedit: drawing packages. Output formats include: AI, ASY, CGM, DXF, EMF,
+pstoedit: FIG, GMFA, GMFI, GSCHEM, HPGL, IDRAW, KIL, LATEX2E, LWO, MIF, MNA,
+pstoedit: MPOST, NOIXML, PCB, PCL, RIB, RPL, RTF, SK, SVG, SVM, SWF, TGIF,
+pstoedit: XAML, WMF, and variants of these. Output is also possible to various
+pstoedit: text formats, Java, or TK code.
+pstoedit:
+pstoedit: Homepage: http://www.pstoedit.net/